org.apache.fop.pdf.xref

## Class CrossReferenceStream

- java.lang.Object
- - org.apache.fop.pdf.xref.CrossReferenceObject
  - - org.apache.fop.pdf.xref.CrossReferenceStream

-     public class CrossReferenceStream
      extends CrossReferenceObject

  A cross-reference stream, as described in Section 3.4.7 of the PDF 1.5 Reference.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.xref.CrossReferenceObject

      `startxref, trailerDictionary`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrossReferenceStream(PDFDocument document, int objectNumber, TrailerDictionary trailerDictionary, long startxref, java.util.List<java.lang.Long> uncompressedObjectReferences, java.util.List<CompressedObjectReference> compressedObjectReferences)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `output(java.io.OutputStream stream)` Writes the cross reference data to a PDF stream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CrossReferenceStream

          public CrossReferenceStream(PDFDocument document,
                                      int objectNumber,
                                      TrailerDictionary trailerDictionary,
                                      long startxref,
                                      java.util.List<java.lang.Long> uncompressedObjectReferences,
                                      java.util.List<CompressedObjectReference> compressedObjectReferences)

  - ### Method Detail

    - #### output

          public void output(java.io.OutputStream stream)
                      throws java.io.IOException

      Writes the cross reference data to a PDF stream
      Specified by:
        `output` in class `CrossReferenceObject`
      Parameters:
        `stream` - the stream to write the cross reference to
      Throws:
        `java.io.IOException` - if an I/O exception occurs while writing the data

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.